Subject: RE: b19 gcc/g++ and Sybase DB-Library?
From: [email-masked] (Sergey Okhapkin)

12 Jun 1998 10:21:06 -0700
Message-ID: <01BD95EB.AE5151A0.cygnus.gnu-win32@sos>
To: "[email-masked]" <[email-masked]>,
        "'Satoshi Ueno'"
	 <[email-masked]>

Satoshi Ueno wrote:
> Does anyone have experience in using Sybase DB-Library with gcc/g++?
>
> I have managed to link against libsybdb by creating .a from .LIB using
> impdef and dlltool as explained in this mailing list.  However, the
> application crashes inside dbopen() where I can't step into.  I have
> spend hours and still have no idea how to fix the problem...
>

dbopen() inside the dll uses msvc-provided I/O subsystem. But this 
subsystem is uninitialized, because msvc-specific startup code was not 
linked into your application. I have no ideas how to fix the problem (it's 
not possible to link-in both msvc and cygwin startups).

--
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".